{
  "block.masterfulmachinery.advancedmachine_advancedair_port_pncr_pressure_input": "Advanced Machine - Advanced Pressure Bank Input Port",
  "block.masterfulmachinery.advancedmachine_advancedair_port_pncr_pressure_output": "Advanced Machine - Advanced Pressure Bank Output Port",
  "block.masterfulmachinery.advancedmachine_advbank_port_energy_input": "Advanced Machine - Advanced Energy Bank Input Port",
  "block.masterfulmachinery.advancedmachine_advbank_port_energy_output": "Advanced Machine - Advanced Energy Bank Output Port",
  "block.masterfulmachinery.advancedmachine_advitem_port_items_input": "Advanced Machine - Advanced Item Input Port",
  "block.masterfulmachinery.advancedmachine_advitem_port_items_output": "Advanced Machine - Advanced Item Output Port",
  "block.masterfulmachinery.advancedmachine_advtank_port_fluids_input": "Advanced Machine - Advanced Tank Input Port",
  "block.masterfulmachinery.advancedmachine_advtank_port_fluids_output": "Advanced Machine - Advanced Tank Output Port",
  "block.masterfulmachinery.advancedmachine_controller": "Advanced Machine Controller",
  "block.masterfulmachinery.basicmachine_basicitem_port_items_input": "Basic Machine - Basic Item Input Port",
  "block.masterfulmachinery.basicmachine_basicitem_port_items_output": "Basic Machine - Basic Item Output Port",
  "block.masterfulmachinery.basicmachine_basictank_port_fluids_input": "Basic Machine - Basic Tank Input Port",
  "block.masterfulmachinery.basicmachine_basictank_port_fluids_output": "Basic Machine - Basic Tank Output Port",
  "block.masterfulmachinery.basicmachine_controller": "Basic Machine Controller",
  "block.masterfulmachinery.draconicmachine_controller": "Draconic Machine Controller",
  "block.masterfulmachinery.draconicmachine_draconicbank_port_energy_input": "Draconic Machine - Draconic Energy Bank Input Port",
  "block.masterfulmachinery.draconicmachine_draconicbank_port_energy_output": "Draconic Machine - Draconic Energy Bank Output Port",
  "block.masterfulmachinery.draconicmachine_draconicitem_port_items_input": "Draconic Machine - Draconic Item Input Port",
  "block.masterfulmachinery.draconicmachine_draconicitem_port_items_output": "Draconic Machine - Draconic Item Output Port",
  "block.masterfulmachinery.elvenmachine_controller": "Mana Machine Controller",
  "block.masterfulmachinery.elvenmachine_elvenabsorber_port_botania_mana_input": "Mana Machine - Elven mana absorber Input Port",
  "block.masterfulmachinery.elvenmachine_elvenabsorber_port_botania_mana_output": "Mana Machine - Elven mana absorber Output Port",
  "block.masterfulmachinery.elvenmachine_elvenitem_port_items_input": "Mana Machine - Elven Item Input Port",
  "block.masterfulmachinery.elvenmachine_elvenitem_port_items_output": "Mana Machine - Elven Item Output Port",
  "block.masterfulmachinery.elvenmachine_elventank_port_fluids_input": "Mana Machine - Elven Tank Input Port",
  "block.masterfulmachinery.elvenmachine_elventank_port_fluids_output": "Mana Machine - Elven Tank Output Port",
  "block.masterfulmachinery.memachine_controller": "ME Machine Controller",
  "block.masterfulmachinery.memachine_mebank_port_energy_input": "ME Machine - ME Energy Bank Input Port",
  "block.masterfulmachinery.memachine_mebank_port_energy_output": "ME Machine - ME Energy Bank Output Port",
  "block.masterfulmachinery.memachine_meitem_port_items_input": "ME Machine - ME Item Input Port",
  "block.masterfulmachinery.memachine_meitem_port_items_output": "ME Machine - ME Item Output Port",
  "block.masterfulmachinery.memachine_metank_port_fluids_input": "ME Machine - ME Tank Input Port",
  "block.masterfulmachinery.memachine_metank_port_fluids_output": "ME Machine - ME Tank Output Port",
  "block.masterfulmachinery.projector": "Structure Projector",
  "block.masterfulmachinery.rthermalmachine_controller": "Resonant Thermal Machine Controller",
  "block.masterfulmachinery.rthermalmachine_rthermalbank_port_energy_input": "Resonant Thermal Machine - Resonant Thermal Energy Bank Input Port",
  "block.masterfulmachinery.rthermalmachine_rthermalbank_port_energy_output": "Resonant Thermal Machine - Resonant Thermal Energy Bank Output Port",
  "block.masterfulmachinery.rthermalmachine_rthermalitem_port_items_input": "Resonant Thermal Machine - Resonant Thermal Item Input Port",
  "block.masterfulmachinery.rthermalmachine_rthermalitem_port_items_output": "Resonant Thermal Machine - Resonant Thermal Item Output Port",
  "block.masterfulmachinery.rthermalmachine_rthermaltank_port_fluids_input": "Resonant Thermal Machine - Resonant Thermal Tank Input Port",
  "block.masterfulmachinery.rthermalmachine_rthermaltank_port_fluids_output": "Resonant Thermal Machine - Resonant Thermal Tank Output Port",
  "block.masterfulmachinery.simplemachine_controller": "Simple Machine Controller",
  "block.masterfulmachinery.simplemachine_simpleair_port_pncr_pressure_input": "Simple Machine - Simple Pressure Bank Input Port",
  "block.masterfulmachinery.simplemachine_simpleair_port_pncr_pressure_output": "Simple Machine - Simple Pressure Bank Output Port",
  "block.masterfulmachinery.simplemachine_simplebank_port_energy_input": "Simple Machine - Simple Energy Bank Input Port",
  "block.masterfulmachinery.simplemachine_simplebank_port_energy_output": "Simple Machine - Simple Energy Bank Output Port",
  "block.masterfulmachinery.simplemachine_simpleitem_port_items_input": "Simple Machine - Simple Item Input Port",
  "block.masterfulmachinery.simplemachine_simpleitem_port_items_output": "Simple Machine - Simple Item Output Port",
  "block.masterfulmachinery.simplemachine_simpletank_port_fluids_input": "Simple Machine - Simple Tank Input Port",
  "block.masterfulmachinery.simplemachine_simpletank_port_fluids_output": "Simple Machine - Simple Tank Output Port",
  "block.masterfulmachinery.structure_generator": "Structure Generator",
  "block.masterfulmachinery.thermalmachine_controller": "Thermal Machine Controller",
  "block.masterfulmachinery.thermalmachine_thermalbank_port_energy_input": "Thermal Machine - Thermal Energy Bank Input Port",
  "block.masterfulmachinery.thermalmachine_thermalbank_port_energy_output": "Thermal Machine - Thermal Energy Bank Output Port",
  "block.masterfulmachinery.thermalmachine_thermalitem_port_items_input": "Thermal Machine - Thermal Item Input Port",
  "block.masterfulmachinery.thermalmachine_thermalitem_port_items_output": "Thermal Machine - Thermal Item Output Port",
  "block.masterfulmachinery.thermalmachine_thermaltank_port_fluids_input": "Thermal Machine - Thermal Tank Input Port",
  "block.masterfulmachinery.thermalmachine_thermaltank_port_fluids_output": "Thermal Machine - Thermal Tank Output Port",
  "container.masterfulmachinery.advancedmachine_controller.name": "Advanced Machine Controller",
  "container.masterfulmachinery.basicmachine_controller.name": "Basic Machine Controller",
  "container.masterfulmachinery.create_rotation": "Rotation Port",
  "container.masterfulmachinery.draconicmachine_controller.name": "Draconic Machine Controller",
  "container.masterfulmachinery.elvenmachine_controller.name": "Mana Machine Controller",
  "container.masterfulmachinery.memachine_controller.name": "ME Machine Controller",
  "container.masterfulmachinery.rthermalmachine_controller.name": "Resonant Thermal Machine Controller",
  "container.masterfulmachinery.simplemachine_controller.name": "Simple Machine Controller",
  "container.masterfulmachinery.thermalmachine_controller.name": "Thermal Machine Controller",
  "item.masterfulmachinery.blueprint": "Blueprint",
  "item.masterfulmachinery.structure_gen_device": "Structure Selector",
  "itemGroup.masterfulmachinery": "Masterful Machinery"
}